package com.bocloud.cmp.provider.f5;

import com.bocloud.cmp.model.f5.DataGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @author lyy
 * @version 1.0
 * @date 2020/11/10 17:57
 */
public interface DataGroupProvider extends SuperProvider {

    public BocloudResult list(String category);

    public BocloudResult create(String category, DataGroupModel dataGroupModel);

    public BocloudResult update(String category, DataGroupModel dataGroupModel);

    public BocloudResult remove(String category, String name);
}
